Bug 693290 - rhn-ssl-tool will not update the cnf file settings if the fqdn changes
rhn-ssl-tool will not update the cnf file settings if the fqdn changes
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other (Show other bugs)
540
All All
medium Severity medium
: ---
: ---
Assigned To: Jan Pazdziora
Martin Korbel
: Patch
Depends On:
Blocks: sat550-blockers sat550-post-ga/sat550-test-blockers
  Show dependency treegraph
 
Reported: 2011-04-04 04:30 EDT by Felix Dewaleyne
Modified: 2012-10-19 06:11 EDT (History)
7 users (show)

See Also:
Fixed In Version: spacewalk-certs-tools-1.7.3-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-19 06:11:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Felix Dewaleyne 2011-04-04 04:30:27 EDT
Description of problem:
If we generate a certificate to change the FQDN part of the hostname value, the new certificate generated is still using the old FQDN

Version-Release number of selected component (if applicable):
spacewalk-certs-tools-1.1.1.1

How reproducible:
all the time

Steps to Reproduce:
1.rhn-ssl-tool --gen-server -v --set-hostname="test.broken.fqdn" --set-country="GB" --set-state="Hampshire" --set-city="Raleigh" --set-org="Red Hat" --set-org-unit="GSS EMEA" --set-email="emea-gss-lab@redhat.com"
2.rhn-ssl-tool --gen-server -v --set-hostname="test.fixed.fqdn" --set-country="GB" --set-state="Hampshire" --set-city="Raleigh" --set-org="Red Hat" --set-org-unit="GSS EMEA" --set-email="emea-gss-lab@redhat.com"

  
Actual results:
the new certificate generated still uses the old fqdn ; the hostname field is not altered in the .cnf file that's used in the generation either

Expected results:
a new certificate with the new fqdn is generated

Additional info:
it is possible to manually fix this by changing the hostname value in the .cnf file to what's supposed to be used.

this also happens when the first hostname was given without any fqdn on the first time.
Comment 11 Jan Pazdziora 2012-07-04 06:02:56 EDT
Making bugzilla public.
Comment 12 Jan Pazdziora 2012-07-04 06:04:00 EDT
Fixed in Spacewalk master, eb03cacd442bc4819a9f62c16fb23a0adb169148.

Note You need to log in before you can comment on or make changes to this bug.